use Test::More tests => 2;

use strict;
use warnings;
use Test::Script;

# There was a bug with reparenting inserted dependency nodes. The bug
# manifested as a dependency without a parent which causes execption when
# traversing over previously added dependency.
script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-devel',
    '--add-br-perl-dash=perl-generators' ], { stdin => \<<EOM }, 'add perl-devel');
BuildRequires: A
BuildRequires: B C potom
EOM
script_stdout_is(<<EOM, 'perl-devel and perl-generators seen');
BuildRequires: A
BuildRequires: B C perl-devel perl-generators potom
EOM

